#********************************************************************************
# qrtclean: clean-up obsolete files and directories (part of qrtools)           *
#                                                                               *
# Author: Kai Peter (4sh) (kp@aldox.org), ©2007, ©2017-                         *
#                                                                               *
# Version: 0.24                                                                 *
# License: ISC license                                                          *
#                                                                               *
# Description: Remove repeatedly created garbage from your system.              *
#********************************************************************************
# configuration section
CFGFILE="/etc/portage/qrtools.conf/qrtclean.conf"
DBG=0			# set debug

#********************************************************************************
# this function is just to keep some thoughts
function doCheck () {
  local TMP="$1"
  # exclude all lines starting with '#' (comments)
  echo "$1" | grep ^'#' 2>&1>/dev/null && TMP=""
  # ignore all lines starting with ' ' (whitespace)
  echo "$1" | grep ^' ' 2>&1>/dev/null && TMP=""
  # but simply: valid lines have to start with a slash '/'
  echo "$1" | grep ^'/' 2>&1>/dev/null && echo "$1"

  # wildcard handling
  HASWILDCARD="0"
  echo "$L" | grep '*' 2>&1>/dev/null && HASWILDCARD="1"
  echo "$L" | grep '?' 2>&1>/dev/null && HASWILDCARD="1"
  if [ "$HASWILDCARD" = "1" ] ; then
	A=`ls ${TMP}`	# put entries in a space delimited array ...
	for P in ${A} ; do i=$(($i+1)) ; done	# ... and count them
#echo i: $i
	# more have to be done
  fi

  return "$TMP"
}

#********************************************************************************
# [ ! -f "$CFGFILE" ] && 'error and exit'
while IFS= read L ; do
  [ "$DBG" = 1 ] && doCheck "$L"	# there are different checks possible ...

  # ... but at least it is quite simple - one step is all we need really:
  echo "$L" | grep ^'/' 2>&1>/dev/null && rm -rf "$L" && echo "deleting $L"
done < "$CFGFILE"
