#********************************************************************************
# wrapper around the origin emerge from portage (part of qrtools)               *
#                                                                               *
# Author: Kai Peter (4sh) (kp@aldox.org), ©2007, ©2017-                         *
#                                                                               *
# Version: 0.17                                                                 *
# License: ISC license                                                          *
#********************************************************************************

function error () {

  MSG="Unknown error!"
  echo "$MSG" && exit 1
}

#echo 1: "$@"
PARAMS="$@" 	# save ALL params from the command line

# check if option '--qrtclean' is given
echo "$PARAMS" | grep '\-\-qrtclean' 2>&1>/dev/null ; EC=$?
# ... and if yes, activate the related action
[ "$EC" = "0" ] && QRTCLEAN=1

# Remove the extra option from input (if not given, sed does nothing). Afterwards
# '$EPARMS' should contain valid options for portage's emerge only.
EPARMS=$(sed 's/\-\-qrtclean/''/g' <<< $PARAMS)
#echo EP: $EPARMS

# now run the original emerge (DON'T QUOTE '${EPARMS}' HERE!)
[ "$EPARMS" ] && emerge ${EPARMS} #|| error 1
EC=$?

#if [ "$EC" = " 0" ] && [ "$QRTCLEAN" = "1" ] ; then
#  qrtclean
#fi
[ "$EC" = " 0" ] && [ "$QRTCLEAN" = "1" ] && qrtclean

#echo PATH: "$PATH"
